MetaCPAN::Client::Favorite(3pm)

NAME
MetaCPAN::Client::Favorite - A Favorite data object

VERSION
version 2.038000

SYNOPSIS
    # Query favorites for a given distribution:

    my $favorites = $mcpan->favorite( {
        distribution => 'Moose'
    } );

    # Total number of matches ("how many favorites does the dist have?"):

    print $favorites->total;

    # Iterate over the favorite matches

    while ( my $fav = $favorites->next ) { ... }

DESCRIPTION
A MetaCPAN favorite entity object.

ATTRIBUTES

  date
An ISO8601 datetime string like "2016-11-19T12:41:46" indicating when the favorite was created.

  user
The user ID (not PAUSE ID) of the person who favorited the thing in question.

  release
The release that was favorited.

  id
The favorite ID.

  author
The PAUSE ID of the author whose release was favorited.

  distribution
The distribution that was favorited.

AUTHORS

•   Sawyer X <xsawyerx@cpan.org>

•   Mickey Nasriachi <mickey@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2016 by Sawyer X.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.